Subject: Re: [PATCH/RFC/GSoC 01/17] perf: introduce performance tests for git-rebase

From: Thomas Gummerer <[email-masked]>
Date: Sun, 20 Mar 2016 15:00:02 +0100

On 03/18, Johannes Schindelin wrote:
> Hi Thomas,
> 
> On Fri, 18 Mar 2016, Thomas Gummerer wrote:
> 
> > On 03/16, Johannes Schindelin wrote:
> > > Hrm. rebase -f just makes the reset an implicit part of the rebase, so it
> > > seems we cannot perf *just* the rebase. We are stuck with perf'ing also
> > > the reset. Sad.
> > 
> > I had the same problem back when I was working on index-v5 and posted
> > a patch series.  The discussion about it is at [1].  Maybe it could be
> > worth resurrecting?
> > 
> > [1] http://thread.gmane.org/gmane.comp.version-control.git/[email-masked]
> 
> Yes, I agree that something like that is needed. The proposed commit
> message suggests that things get simpler, though, while I would contend
> that timings get more accurate.
> 
> And I think you could simply move the test_start command, but that's just
> from a *very* cursory reading of the patch.

Is it possible that you might have missed patch 2/2 [1]?  The first
patch there is only the preparation for making the timings more
acurate when some cleanup is involved.  Just moving the test_start
command wouldn't do anything for the timings to get more acurate, as
the timings are measured in the test_run_perf_ function (it's outside
of the diff in the patch series).

I'm also not sure whether the test_perf_cleanup or if the other series
in the thread that came out of a suggestion by Junio makes more sense
[2]. (That is minus patch 3/3 in that series, which was added so we
could have a user of the new series, but if it's going to be used here
that's unnecessary).

[1] http://thread.gmane.org/gmane.comp.version-control.git/234874/focus=234875
[2] http://thread.gmane.org/gmane.comp.version-control.git/234874/focus=235241

> Ciao,
> Dscho

-- 
Thomas